/*******************************************************************************
 * Copyright 2011 Danny Kunz
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.omnaest.utils.operation;

import org.omnaest.utils.operation.battery.OperationBattery;

/**
 * Factory for {@link Operation} instances
 * 
 * @see #newOperation()
 * @see Operation
 * @see OperationBattery
 * @author Omnaest
 * @param <RESULT>
 * @param <PARAMETER>
 */
public interface OperationFactory<RESULT, PARAMETER>
{
  /**
   * Factory method for creating a new {@link Operation} instance.
   * 
   * @return
   */
  public Operation<RESULT, PARAMETER> newOperation();
  
}
